

%define _cmake_skip_rpath -DCMAKE_SKIP_RPATH:BOOL=OFF
%define kwin4_effect_builtins_major 1
%define libkwin4_effect_builtins %mklibname kwin4_effect_builtins %{kwin4_effect_builtins_major}
%define kwineffects_major 5
%define libkwineffects %mklibname kwineffects %{kwineffects_major}
%define kwinglutils_major 5
%define libkwinglutils %mklibname kwinglutils %{kwinglutils_major}
%define kwinxrenderutils_major 5
%define libkwinxrenderutils %mklibname kwinxrenderutils %{kwinxrenderutils_major}
%define kwin_major 5
%define libkwin %mklibname kwin %{kwin_major}
%define kwin_devel %mklibname kwin -d

Summary:        Plasma 5 Window Manager
Name:           kwin
Version: 		5.14.2
Release:        %mkrel 1.1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:        plasma-popupapplet.desktop
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  xcb-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  mesa-devel

BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xcb-util-cursor-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}epoxy-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

BuildRequires:  kactivities5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kinit-devel
BuildRequires:  kservice-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kwindowsystem-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knewstuff-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kwayland-devel >= 5.3.95
BuildRequires:  kscreenlocker-devel

Requires:       qtmultimedia5
Requires:       kinit

%description
Plasma 5 Window Manager

%files -f %{name}.lang
%_kf5_bindir/kwin
%_kf5_bindir/kwin_x11
%_kf5_bindir/kwin_wayland
%_kf5_libdir/libkdeinit5_kwin_x11.so
%_kf5_libdir/libkdeinit5_kwin_rules_dialog.so
%_kf5_libdir/libkdeinit5_kwin_x11.so
%_datadir/kwin
%_datadir/dbus-1/interfaces/*.xml
%_kf5_iconsdir/*/*/apps/*
%_kf5_knotificationsdir/kwin.notifyrc
%_kf5_services/*.desktop
%_kf5_services/kwin
%_kf5_servicetypes/*.desktop
%_kf5_datadir/kwincompositing
%_kf5_qmldir/org/kde/kwin
%_qt5_plugindir/*.so
%_qt5_plugindir/kwin
%_libexecdir/kwin_killer_helper
%_libexecdir/kwin_rules_dialog
%_kf5_datadir/config.kcfg/kwin.kcfg
%_sysconfdir/xdg/*.knsrc
%_sysconfdir/xdg/org_kde_kwin.categories
%_kf5_libdir/kconf_update_bin/kwin5_update_default_rules
%_qt5_plugindir/org.kde.kdecoration2/kwin5_aurorae.so
%_qt5_plugindir/org.kde.kwin.waylandbackends
%_qt5_plugindir/org.kde.kglobalaccel5.platforms
%_qt5_plugindir/platforms/KWinQpaPlugin.so
%_kf5_plugindir/org.kde.kidletime.platforms/KF5IdleTimeKWinWaylandPrivatePlugin.so
#--------------------------------------------------------------------
%_kf5_libdir/libkwin4_effect_builtins.so.%{kwin4_effect_builtins_major}*
#--------------------------------------------------------------------
#%_kf5_libdir/libkwineffects.so.%{kwineffects_major}*
%_kf5_libdir/libkwineffects.so.*
#--------------------------------------------------------------------
#%_kf5_libdir/libkwinglutils.so.%{kwinglutils_major}*
%_kf5_libdir/libkwinglutils.so.*
#--------------------------------------------------------------------
#%_kf5_libdir/libkwinxrenderutils.so.%{kwinxrenderutils_major}*
%_kf5_libdir/libkwinxrenderutils.so.*
#--------------------------------------------------------------------
%_kf5_libdir/libkwin.so.%{kwin_major}*
#--------------------------------------------------------------------
%_kf5_libdir/qt5/plugins/org.kde.kwin.platforms/KWinX11Platform.so

%_kf5_libdir/libkwineffects.so.%version
%_kf5_libdir/libkwinglutils.so.%version
%_kf5_libdir/libkwinxrenderutils.so.%version
%{_libexecdir}/org_kde_kwin_xclipboard_syncer

%_kf5_libdir/qt5/plugins/kpackage/packagestructure/kwin_packagestructure_aurorae.so
%_kf5_libdir/qt5/plugins/kpackage/packagestructure/kwin_packagestructure_decoration.so
%_kf5_libdir/qt5/plugins/kpackage/packagestructure/kwin_packagestructure_scripts.so
%_kf5_libdir/qt5/plugins/kpackage/packagestructure/kwin_packagestructure_windowswitcher.so
%_kf5_libdir/qt5/plugins/org.kde.kwin.scenes/KWinSceneQPainter.so
%_kf5_libdir/qt5/plugins/org.kde.kwin.scenes/KWinSceneXRender.so
%_kf5_libdir/qt5/plugins/org.kde.kwin.scenes/KWinSceneOpenGL.so
%_kf5_datadir/config.kcfg/kwin_colorcorrect.kcfg
/usr/share/kconf_update/kwin.upd

%package -n %kwin_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kwin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwin_devel
%_kf5_prefix/include/*.h
%_kf5_libdir/*.so
%_kf5_libdir/libkwin4_effect_builtins.so
%_kf5_libdir/libkwineffects.so
%_kf5_libdir/libkwinglutils.so
%_kf5_libdir/libkwinxrenderutils.so
%_kf5_libdir/cmake/KWinDBusInterface

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML
#------------------------------------------------


%prep
%setup -q
%apply_patches

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" 

%make

%install
rm -rf %buildroot
%makeinstall_std -C build

mv %buildroot/usr/share/kservicetypes5/kwindecoration.desktop %buildroot/usr/share/kservicetypes5/kwin-decoration.desktop
mv %buildroot/usr/share/kservicetypes5/kwineffect.desktop %buildroot/usr/share/kservicetypes5/kwin-effect.desktop
mv %buildroot/usr/share/kservicetypes5/kwinscript.desktop %buildroot/usr/share/kservicetypes5/kwin-script.desktop

# temporary
install %SOURCE1 %buildroot/usr/share/kservicetypes5/plasma-popupapplet.desktop
ln -s kwin_x11 %{buildroot}%{_bindir}/kwin

%find_lang %{name} --all-name


%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 5.14.2-1.1uplos2018
- update
